#      $Id: aclocal.m4,v 1.2 2002/03/16 23:27:52 pascal Exp $
dnl builtin([include], [tcl.m4])
builtin([include], [glib.m4])
# Autoconf macros to check for Tcl related things

AC_DEFUN([AC_PATH_TCLSH],
         [AC_PATH_PROGS(TCLSH, [tclsh tcl])])


# PRS: Borrowed from PGAC_PATH_TCLCONFIGSH([SEARCH-PATH])
# Postgresql 7.2 distribution.
# I Just removed the TK reference.
# ------------------------------------
AC_DEFUN([AC_PATH_TCLCONFIGSH],
[AC_REQUIRE([AC_PATH_TCLSH])[]dnl
AC_MSG_CHECKING([for tclConfig.sh])
# Let user override test
if test -z "$TCL_CONFIG_SH"; then
    pgac_test_dirs="$1"

    set X $pgac_test_dirs; shift
    if test $[#] -eq 0; then
        test -z "$TCLSH" && AC_MSG_ERROR([unable to locate tclConfig.sh because no Tcl shell was found])
        set X `echo 'puts $auto_path' | $TCLSH`; shift
    fi

    for pgac_dir do
        if test -r "$pgac_dir/tclConfig.sh"; then
            TCL_CONFIG_SH=$pgac_dir/tclConfig.sh
            break
        fi
    done
fi

if test -z "$TCL_CONFIG_SH"; then
    AC_MSG_RESULT(no)
    AC_MSG_ERROR([file \`tclConfig.sh' is required])
else
    AC_MSG_RESULT([$TCL_CONFIG_SH])
fi

AC_SUBST([TCL_CONFIG_SH])
])# PGAC_PATH_TCLCONFIGSH

