%define	tcl_library	%(echo 'puts $tcl_library' | tclsh)
%define	installpath	%{tcl_library}/xmms

Name: xmmstcl
Version: 1.1.1
Release: 1
Copyright: GPL
Group: Applications/Multimedia
Packager: Oron Peled <oron@actcom.co.il>
Summary: An XMMS remote control library for tcl.
Source: %name-%version.tar.gz
URL: http://pascal.scheffers.net/software
Requires: tcl >= 8.1, tk >= 8.1, xmms >= 1.2.5
Buildroot: %{_tmppath}/%{name}-%{version}-root

%description
This command provides access to the xmms media player to
control playback, playlist, skins, equalizer functions and 
change notifications when the player state changes. The tkplayer
application provides a minimalistic but fully scriptable xmms 
remote control.

%prep
%setup

%build
%configure
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install

%files
%defattr(-, root, root)
%doc README COPYING tkplayerrc
%{installpath}
%{_mandir}/mann/xmmstcl.n*


%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT
